PCAP_DATALINK(3PCAP)

NAME
pcap_datalink - get the link-layer header type

SYNOPSIS
#include <pcap/pcap.h>

int pcap_datalink(pcap_t *p);

DESCRIPTION
pcap_datalink() returns the link layer type for the live capture or ``savefile'' specified by p.

SEE ALSO
pcap(3PCAP), pcap-linktype(@MAN_MISC_INFO@)